package de.kif.common

import com.soywiz.klock.DateFormat
import com.soywiz.klock.KlockLocale
import com.soywiz.klock.format
import com.soywiz.klock.locale.german
import com.soywiz.klock.min

fun formatDateTime(unix: Long) =
    DateFormat("EEEE, d. MMMM y HH:mm")
        .withLocale(KlockLocale.german)
        .format(unix)

fun formatTimeDiff(diff: Long): String {
    var time = diff / 1000

    val seconds = time % 60
    time /= 60
    val minutes = time % 60
    time /= 60
    val hours = time % 24
    time /= 24
    val days = time

    return when  {
        days > 0L -> {
            if (days == 1L) "1 Tag" else "$days Tagen"
        }
        hours > 0L -> {
            hours.toString().padStart(2, '0')+":"+ (minutes + if (seconds > 0) 1 else 0).toString().padStart(2,'0')
        }
        minutes > 0L -> {
            "00:"+ (minutes+ if (seconds > 0) 1 else 0).toString().padStart(2,'0')
        }
        seconds > 0L -> {
            "> 1 Minute"
        }
        else -> "vor $minutes Minuten"
    }
}
