package de.kif.frontend.views.board

import de.kif.common.formatDateTime
import de.kif.common.formatTimeDiff
import de.kif.common.model.Schedule
import de.kif.frontend.views.overview.getByClassOrCreate
import de.westermann.kwebview.View
import org.w3c.dom.HTMLDivElement
import org.w3c.dom.HTMLElement
import org.w3c.dom.HTMLSpanElement
import org.w3c.dom.get
import kotlin.js.Date

class BoardSchedule(
    view: HTMLElement
) : View(view) {
    private val colorView = view.getByClassOrCreate<HTMLDivElement>("board-schedule-color")
    private val timeView = view.getByClassOrCreate<HTMLDivElement>("board-schedule-time")
    private val nameView = view.getByClassOrCreate<HTMLDivElement>("board-schedule-name")
    private val roomView = view.getByClassOrCreate<HTMLDivElement>("board-schedule-room")

    private val schedule: Long = view.dataset["id"]?.toLongOrNull() ?: 0L
    private val startTime: Long = timeView.dataset["startTime"]?.toLongOrNull() ?: 0L
    private val endTime: Long = timeView.dataset["endTime"]?.toLongOrNull() ?: 0L

    fun updateTime(now: Long) {
        timeView.textContent = if (startTime >= now) {
            "Start in ${formatTimeDiff(startTime - now)}"
        } else {
            "Ende in ${formatTimeDiff(endTime - now)}"
        }
    }

    init {
    }
}
